=== tests/Makefile ===
all:
	@./all.tcl

.PHONY: all
