=== debian/changelog ===
tclsoldout (0.1.1-4) unstable; urgency=medium

  * Changing installation directory with its architecture dependent counterpart
  * Debian standards compliance checked up to 4.7.2

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 02 Mar 2025 22:14:15 +0000

tclsoldout (0.1.1-3) unstable; urgency=medium

  *  Update debian/watch to reflect upstream repository reorganization
  *  Check standard compliance (4.7.0)

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 01 May 2024 15:44:57 +0000

tclsoldout (0.1.1-2) unstable; urgency=medium

  *  Let's have the man page mangled during the binary build target.

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 14 Feb 2022 22:20:09 +0000

tclsoldout (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #996100)

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 14 Oct 2021 17:15:58 +0200
