=== debian/control ===
Source: tclsoldout
Section: devel
Priority: optional
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Build-Depends: debhelper-compat (= 13), tcl-dev, libsoldout-dev
Standards-Version: 4.7.2
Homepage: https://git.juef.net/archive/tclsoldout/
Rules-Requires-Root: no

Package: tclsoldout
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${tcl:Depends}, ${libtcl:Depends}
Description: Tcl wrapper for libsoldout, a markdown parser library
 tclsoldout extends Tcl providing new commands to parse and process
 markdown text. Tclsoldout current version creates 2 new commands
 .
    + ::soldout::mk2html - markdown to HTML processor
    + ::soldout::mk2xhtml - markdown to XHTML processor
 .
 tclsoldout also provides ::soldout::escape_string, its own utility
 to convert SGML characters into their HTML entities.
