=== debian/watch ===
# version 4 watch file
version=4


# tclsoldout is distributed from this self-maintained directory
https://dl.juef.net/tclsoldout/([\d\.]+)/ tclsoldout-([\d\.]+)\.tar\.gz debian uupdate
